# Function getPostMessageCpiAccounts

- getPostMessageCpiAccounts(cpiProgramId, wormholeProgramId, payer, message): PostMessageCpiAccounts

- Generate accounts needed to perform `post_message` instruction as cross-program invocation.

  #### Parameters

  - ##### cpiProgramId: PublicKeyInitData

  - ##### wormholeProgramId: PublicKeyInitData

  - ##### payer: PublicKeyInitData

  - ##### message: PublicKeyInitData

  #### Returns PostMessageCpiAccounts

  - Defined in utils/cpi.ts:67

Generated using TypeDoc